<?php 
require_once("../../includes/bootstrap2.php");
$sesion=new sesion(); // inicio la sesion
if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}
$academia = bootstrap::initBd($sesion->getVar("anio"));

$sede=empty($_POST["sede"]) ? 0 : $_POST["sede"] ;
$jornada=empty($_POST["jorn"]) ? 0 : $_POST["jorn"];
$periodo=empty($_GET["per"]) ? 0 : $_GET["per"];
$codGrup=empty($_POST["id"]) ? 0 : $_POST["id"];

$sql = "CALL SP_PORCENTAJE_NOTAS($sede,$jornada,$periodo,$codGrup,'nom_grupo_let')";

$academia->instruccion($sql);
$datas=array();

//$datas["total"]=$academia->num_rows();
if(empty($codGrup) || $codGrup==0){
	while($reg=$academia->extraer_registro()){
		$tnotas=$reg['nnotas']; 
		$numnotcal=$reg['nnotscalif'];		
		$porCalif=number_format(($numnotcal*100)/$tnotas,2);
		$datas[]=array("id"=>$reg['cod_grupo'],"ngrup"=>ucfirst($reg['nomgrup']),"ndoc"=>$reg['dirgrup'],'porc'=>$porCalif,"state"=>"closed");
	}
}else{
	while($reg=$academia->extraer_registro()){
		$numest=$reg['numest'];  
		$numnot=$reg['numnotas'];		
		$notxest=(int)($numnot/$numest);
		$porCalif=number_format(($reg['notascal']*100)/$numnot,2);
		$datas[]=array("id"=>$codGrup.'-'.$reg['cod_asigxgrupo'],"ngrup"=>ucfirst($reg['nom_asi']),"npro"=>$reg['nomdoc'],'nest'=>$reg['numest'],'nnot'=>$notxest,'porc'=>$porCalif,'parentId'=>$codGrup);
	}
}
//$datas["footer"][]=array("ngrup"=>"Total Persons:","persons"=>7,"iconCls"=>"icon-sum");

if ($sesion->get('ac_usuario') == 'prointel'){
        $datas['sql']=$sql;
}
echo json_encode($datas); 
?>